{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.helicopter_flight_commands": {
			"states": {
				"default": {
					"transitions": [
						{
							"loop": "query.has_rider"
						}
					]
				},
				"loop": {
					"on_entry": [
						"/execute as @p[tag=driver,r=3] run function helicopter/commands"
					],
					"transitions": [
						{
							"default": "1.0"
						}
					]
				}
			}
		},
		"controller.animation.helicopter_flight_visuals": {
			"states": {
				"default": {
					"transitions": [
						{
							"loop": "query.has_rider"
						}
					]
				},
				"loop": {
					"on_entry": [
						"/function helicopter/visuals",
						"variable.next_loop_time = query.life_time + 2.0;"
					],
					"transitions": [
						{
							"default": "variable.next_loop_time < query.life_time"
						}
					]
				}
			}
		}
	}
}
